### Hierarchy

- JenkinsHealthReport

### Implements

- IJenkinsHealthReport

## Index

### Properties

- _class
- description
- iconClassName
- iconUrl
- jsonData
- score

### Methods

- fromJson
- fromJsonString
- getJsonData

## Properties

### _class

_class: string

Implementation of IJenkinsHealthReport._class

- Defined in JenkinsHealthReport.ts:7

### description

description: string

Implementation of IJenkinsHealthReport.description

- Defined in JenkinsHealthReport.ts:8

### iconClassName

iconClassName: string

Implementation of IJenkinsHealthReport.iconClassName

- Defined in JenkinsHealthReport.ts:9

### iconUrl

iconUrl: string

Implementation of IJenkinsHealthReport.iconUrl

- Defined in JenkinsHealthReport.ts:10

### jsonData

jsonData: JSON

- Defined in JenkinsHealthReport.ts:5

### score

score: number

Implementation of IJenkinsHealthReport.score

- Defined in JenkinsHealthReport.ts:11

## Methods

### fromJson

- fromJson(data: JSON): void

- Implementation of IJenkinsHealthReport.fromJson

  - Defined in JenkinsHealthReport.ts:24

  #### Parameters

  - ##### data: JSON

  #### Returns void

### fromJsonString

- fromJsonString(json: string): void

- Implementation of IJenkinsHealthReport.fromJsonString

  - Defined in JenkinsHealthReport.ts:17

  #### Parameters

  - ##### json: string

  #### Returns void

### getJsonData

- getJsonData(): string

- Implementation of IJenkinsHealthReport.getJsonData

  - Defined in JenkinsHealthReport.ts:13

  #### Returns string

Generated using TypeDoc